
Application: gvSIG desktop - gvSIG bugs #1558
save project fails when editing / falla guardar proyecto con edición
01/23/2013 05:26 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Application
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

en: If layer is in editting mode, "save project" fails
-new project
-add shape (I used \geodata\vector\SHP2D\esp_provincias\esp_provincias.shp) from testing files
-start editting
-save project

es: Si se ha comenzado la edición de una capa el comando guardas falla
-nuevo proyecto
-cargar shape (Yo  usé  \geodata\vector\SHP2D\esp_provincias\esp_provincias.shp) from testing files
-comenzar edición
-guardar proyecto

aviso:
Error guardando el proyecto: nuevo save3.gvsproj
Error getting or setting the state of an object.
  Error getting or setting the state of an object.
  Errors found validating persistent state.
  Errors found validating 'org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore'.
  Errors found validating 'Persistence:FeatureStore'.
  Field 'defaultFeatureTypeId': Value required.
  Field 'dataStoreName': Value required.
  Field 'Parámetros': Value required.
  Field 'transforms': Value required.

History
#1 - 04/25/2013 02:40 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 05/09/2013 04:50 PM - Manuel Madrid
- Category set to Application

#3 - 06/10/2013 04:40 PM - Manuel Madrid
- File gvSIG_saving_project_while_editing_a_layer.log added
- Target version set to 2.1.0-2223-rc1
- gvSIG build changed from 2062 to 2066

Attached log file.

Sometimes the error disappears after stop editing the layer but sometimes it keeps appearing every time you save the project, even after saving it as a
new name and even after closing and opening it again.

#4 - 06/25/2013 06:49 PM - Manuel Madrid
- Assignee set to Ignacio Brodín

#5 - 10/08/2013 08:42 AM - Ignacio Brodín
- Status changed from New to Fixed

Now, if a layer is in edition and you save the project, the layer is not stored in edition mode. That is, if you open the project again, the layer will not be in
edition mode

gvsig-desktop:r40776

#6 - 01/13/2014 09:24 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#7 - 01/27/2014 05:09 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_saving_project_while_editing_a_layer.log 500 KB 06/10/2013 Manuel Madrid
